Bug 1339949 (CVE-2016-5096) - CVE-2016-5096 php: Integer underflow causing arbitrary null write in fread/gzread
Summary: CVE-2016-5096 php: Integer underflow causing arbitrary null write in fread/gz...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-5096
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1339950
Blocks: 1339953
TreeView+ depends on / blocked
 
Reported: 2016-05-26 09:04 UTC by Adam Mariš
Modified: 2019-09-29 13:50 UTC (History)
13 users (show)

Fixed In Version: php 5.5.36, php 5.6.22
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-07 11:34:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2750 normal SHIPPED_LIVE Moderate: rh-php56 security, bug fix, and enhancement update 2016-11-15 16:40:02 UTC

Description Adam Mariš 2016-05-26 09:04:56 UTC
An integer underflow resulting into arbitrary null character write in fread/gzread function was found.

Upstream bug:

https://bugs.php.net/bug.php?id=72114

Upstream patch:

https://git.php.net/?p=php-src.git;a=commit;h=abd159cce48f3e34f08e4751c568e09677d5ec9c

CVE request:

http://seclists.org/oss-sec/2016/q2/404

Comment 1 Adam Mariš 2016-05-26 09:08:33 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1339950]

Comment 2 Fedora Update System 2016-05-29 22:21:17 UTC
php-5.6.22-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2016-05-30 21:20:44 UTC
php-5.6.22-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-06-03 15:21:44 UTC
php-5.6.22-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Tomas Hoger 2016-06-07 11:34:42 UTC
This problem occurs when fread or gzread are called with excessively large $length argument value (above 2GB / 2^31).  Additionally, this flaw can only be triggered when PHP is running with no memory limit, or its memory limit exceeds 2GB.  The default configuration of PHP packages in Red Hat products sets memory_limit to 128M, completely blocking this issue.

This issue can be mitigated by ensuring memory_limit is set and its value does not exceed 2GB.

Comment 6 errata-xmlrpc 2016-11-15 11:53:15 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2016:2750 https://rhn.redhat.com/errata/RHSA-2016-2750.html


Note You need to log in before you can comment on or make changes to this bug.